<% @LANGUAGE = VBScript %>

<% ' Fig. 25.12 : guestbook.asp 
   ' Demonstrating File System Objects 
   Option Explicit
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns = "http://www.w3.org/1999/xhtml">

   <head>
      <title>GuestBook Example</title>

      <style type = "text/css">
         hr    { size: 1; color: blue }
         table { text-align: center }
         td    { font-size: 12pt }
         p     { font-size: 14pt; color: blue } 
         .font { font-family: arial, sans-serif }
      </style>
   </head>
   <body>
<% 
   Dim fileObject, textFile, guestBook, mailtoUrl

   ' get physical path for this ASP page and 
   ' concatenate guestbook.txt to it
   guestbook = Request.ServerVariables( "APPL_PHYSICAL_PATH" ) _
      & "\guestbook.txt"

   ' instantiate a FileSystemObject
   Set fileObject = Server.CreateObject( _
      "Scripting.FileSystemObject" )

   ' check if this request is after the user has posted the form
   If Request( "hiddenInput" ) = "true" Then
 
      ' print a thank you
      Call Response.Write( "Thanks for your entry, " & _
         Request( "username" ) & "!" )
%>    
      <hr />
<%
      ' build the mailtoUrl
      mailtoUrl = Date() & " <a href = " & Chr( 34 ) _
         & "mailto:" & Request( "email" ) & Chr( 34 ) _
         & ">" & Request( "username" ) & "</a>:  "


      ' open the guestbook, 8 is for appending
      ' create the guestbook if it does not exist
      Set textFile = _
         fileObject.OpenTextFile( guestbook, 8, True )

      ' write data to guestbook.txt
      Call textFile.WriteLine( "<hr />" & mailtoUrl & _     
         Request( "comment" ) )
      Call textFile.Close()             
   End If 
%>
   
      <p>Please leave a message in our guestbook.</p>

      <!-- write form to the client -->
      <form action = "guestbook.asp" method = "post">
         <table>
            <tr>
               <td>Your Name:  </td>
               <td><input class = "font" 
                          type = "text" size = "60" 
                          name = "username" /></td>
            </tr>

            <tr>
               <td>Your email address:</td>
               <td><input class = "font" 
                          type = "text" size = "60" 
                          name = "email" 
                          value = "user@isp.com" />
               </td>
            </tr>

            <tr>
               <td>Tell the world:  </td>
               <td><textarea name = "comment" rows = "3" 
                             cols = "50">
Replace this text with the information 
you would like to post.</textarea></td>
            </tr>
         </table>

         <input type = "submit" value = "submit" /> 
         <input type = "reset" value = "clear" /> 
         <input type = "hidden" name = "hiddenInput" 
                value = "true" />
      </form>

<%
    ' check if the file exists
    If fileObject.FileExists( guestBook ) = True Then


       ' open the guestbook, "1" is for reading
       Set textFile = fileObject.OpenTextFile( guestbook, 1 )

       ' read the entries from the file and write them to 
       ' the client. 
       Call Response.Write( "Guestbook Entries:<br />" & _ 
          textFile.ReadAll() )
       Call textFile.Close()

    End If
%>

   </body>

</html>


<!-- 
 ************************************************************************** 
 * (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 **************************************************************************
-->