<% @LANGUAGE = VBScript %>

<% 
   ' Fig. 25.18 : process.asp 
   ' ASP document that creates user's ASP document 
   Option Explicit
%>

<%  
    Dim message, q

    q = Chr( 34 )  ' assign quote character to q
    Session( "errorMessage" ) = "no error"

   ' check to make sure that they have entered a 
   ' valid filename 
   If ( LCase( Request( "filename" ) ) = "yourfilename" ) _
      Or Request( "filename" ) = "" Then   
      message = "<p style = " & q & "color: red" & q & _
         ">" & "Please enter a valid name or filename.</p>"
      Session( "errorMessage" ) = message
      Call Response.Redirect( "instantpage.asp" )
   End If
   
   Dim directoryPath, filePath, fileObject, fileName 
   
   ' create a FileSystem Object
   Set fileObject = Server.CreateObject( _
      "Scripting.FileSystemObject" )
   
   directoryPath = _
      Request.ServerVariables( "APPL_PHYSICAL_PATH" )
   
   fileName = Request( "filename" ) & ".asp"

   ' build path for text file
   filePath = directoryPath & "\" & fileName
    
   ' check if the file already exists
   If fileObject.FileExists( filePath ) Then
      message = "<p style = " & q & "color: red" & q & _  
         ">" & "The file name is in use.<br />" & _
         "Please use a different file name.</p>"
      Session( "errorMessage" ) = message
      Call Response.Redirect( "instantpage.asp" )
   End If

   ' save XHTML for the welcome back message
   ' in a session variable
   message = "<p style = " & q & "color: blue" & q & _
      ">" & "Welcome Back, " & Request( "username" ) & _
      "</p><br />"
   Session( "welcomeBack" )= message
      
   Dim header, footer, textFile, openMark, closeMark
   openMark = "<" & "%"
   closeMark = "%" & ">"
                     
   ' build the header.
   ' vbCrLf inserts a carriage return/linefeed into the text
   ' string which makes the XHTML code more readable
   header = openMark & " @LANGUAGE = VBScript " & closeMark _
      & vbCrLf & openMark & " ' " & fileName _
      & " " & closeMark & vbCrLf & vbCrLf _
      & "<!DOC" & "TYPE html PUBLIC " & q & _
        "-//W3C//DTD XHTML 1.0 Transitional//EN" & q & _
        vbCrLf & q & "http://www.w3.org/TR/xhtml1/" & _
        "DTD/xhtml1-transitional.dtd" & q & ">" & vbCrLf & _
      "<html xmlns = " & q & "http://www.w3.org/1999/xhtml" & _ 
      q & ">" & vbCrLf & "<head>" & vbCrLf _
      & "<meta name = " & q & "author" & q & " content = " _
      & q & Request( "username" ) & q & " />" & vbCrLf _
      & "<meta name = " & q & "pubdate" & q & " content = " _
      & q & Date() & q & " />" & vbCrLf _ 
      & "<title>" & Request( "doctitle" ) & "</title>" _
      & vbCrLf & "</head>" & vbCrLf & "<body>" & vbCrLf _
      & "<!-- #" & "include " & "virtual = " & _
      "/includes/header.shtml -->" _
      & vbCrLf & "<h2 style = " & q & "text-align: center" & _ 
      q & "><em>" & Request( "doctitle" ) & "</em></h2>" & _
      vbCrLf & "<br />" & vbCrLf 
         
   ' build the footer using a different style for 
   ' building the string
   footer = vbCrLf & "<br /><br /><br />" & vbCrLf & _
      "You have requested this page on " & _
      openMark & " =Date() " & closeMark & "," & _
      vbCrLf & "at " & openMark & " =Time() " & _
      closeMark & "." & vbCrLf & _
      "<!-- #" & "include " & "virtual = " & _
      "/includes/footer.shtml -->" _
      & vbCrLf & vbCrLf & "</body>" & vbCrLf & "</html>"
   
   ' create the ASP file
   Set textFile = fileObject.CreateTextFile( filePath, False )
   With textFile
      Call .WriteLine( header & Request( "content" ) & _
                       footer )
      Call .Close()
   End With
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns = "http://www.w3.org/1999/xhtml">

   <head>
      <!-- Use the title given by the user -->
      <title>File Generated: <% =fileName %></title>

      <style type = "text/css">
         h2 { font-family: arial, sans-serif; 
              text-align: center }
      </style>

   </head>

   <body>
      <!-- #include virtual = "/includes/header.shtml" -->
      <h2><em>File <% =fileName %> 
         was created successfully.</em>
      </h2><br />

      <!-- Provide a link to the generated page -->
      <a href = "<% =fileName %>">View your file</a>
      <!-- #include virtual = "/includes/footer.shtml" -->
   </body>
</html>

<!-- 
 ************************************************************************** 
 * (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 **************************************************************************
-->